Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.internal.core.services.label
Class EMFFormsLabelProviderDefaultImpl_Test

    java.lang.Object
      org.eclipse.emfforms.internal.core.services.label.EMFFormsLabelProviderDefaultImpl_Test

    public class EMFFormsLabelProviderDefaultImpl_Test

extends Object

JUnit tests for `EMFFormsLabelProviderImpl`.

Author:
  Lucas Koehler

Constructor Summary
`EMFFormsLabelProviderDefaultImpl_Test()`

Method Summary
`void` | `setUp()` Set up that is executed before every test case.
`void` | `tearDown()` Clean up the realm.
`void` | `testGetDescriptionOneParam()` Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .
`void` | `testGetDescriptionOneParamNull()` Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .
`void` | `testGetDescriptionTwoParams()` Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetDescriptionTwoParamsBothNull()` Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetDescriptionTwoParamsObjectNull()` Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetDescriptionTwoParamsReferenceNull()` Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetDisplayNameOneParam()` Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .
`void` | `testGetDisplayNameOneParamNull()` Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .
`void` | `testGetDisplayNameTwoParams()` Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetDisplayNameTwoParamsBothNull()` Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetDisplayNameTwoParamsObjectNull()` Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .
`void` | `testGetDisplayNameTwoParamsReferenceNull()` Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFFormsLabelProviderDefaultImpl_Test

    public EMFFormsLabelProviderDefaultImpl_Test()

Method Detail

### setUp

    public void setUp()

  Set up that is executed before every test case. Registers a databinding and an emf specific service. Mocks various objects for the tests.

### tearDown

    public void tearDown()

  Clean up the realm.

### testGetDisplayNameOneParam

    public void testGetDisplayNameOneParam()
                                    throws DatabindingFailedException

  Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.

### testGetDisplayNameOneParamNull

    public void testGetDisplayNameOneParamNull()

  Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .

### testGetDisplayNameTwoParams

    public void testGetDisplayNameTwoParams()
                                     throws DatabindingFailedException

  Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.

### testGetDisplayNameTwoParamsReferenceNull

    public void testGetDisplayNameTwoParamsReferenceNull()

  Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

### testGetDisplayNameTwoParamsObjectNull

    public void testGetDisplayNameTwoParamsObjectNull()

  Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

### testGetDisplayNameTwoParamsBothNull

    public void testGetDisplayNameTwoParamsBothNull()

  Test method for `EMFFormsLabelProviderDefaultImpl.getDisplayName(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

### testGetDescriptionOneParam

    public void testGetDescriptionOneParam()
                                    throws DatabindingFailedException

  Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.

### testGetDescriptionOneParamNull

    public void testGetDescriptionOneParamNull()

  Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference)` .

### testGetDescriptionTwoParams

    public void testGetDescriptionTwoParams()
                                     throws DatabindingFailedException

  Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

  Throws:
    `DatabindingFailedException` - should not happen, just needs to be thrown because the databinding service defines the throw in its interface.

### testGetDescriptionTwoParamsReferenceNull

    public void testGetDescriptionTwoParamsReferenceNull()

  Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

### testGetDescriptionTwoParamsObjectNull

    public void testGetDescriptionTwoParamsObjectNull()

  Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

### testGetDescriptionTwoParamsBothNull

    public void testGetDescriptionTwoParamsBothNull()

  Test method for `EMFFormsLabelProviderDefaultImpl.getDescription(org.eclipse.emf.ecp.view.spi.model.VDomainModelReference, org.eclipse.emf.ecore.EObject)` .

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.